main .container > div,
main .container form {
  margin: 0 auto;
}

.contact {
  padding: 4px 8px;
  display: flex;
  justify-content: space-between;
}

.contact a:hover {
  text-decoration: underline;
}

.contact__required::before {
  content: "*";
  color: var(--primary);
  display: inline-block;
  margin-right: 4px;
}

.form {
  background-color: #fefefe;
  padding: 10px;
  border: 1px solid var(--border);
  border-radius: 4px;
}

.form__row {
  color: #292929;
  display: grid;
  grid-template-columns: 160px 1fr 160px 1fr;
}

.form__row:not(:first-child) {
  border-top: 1px solid var(--border);
}

.form__row :where(input, select, textarea) {
  width: 100%;
  height: 36px;
  padding: 4px;
  border: 1px solid var(--border);
}

.form__row :where(input, select, textarea):focus {
  outline: 1px solid var(--primary);
}

.form__row .col-span-3 {
  grid-column: span 3 / span 3;
  display: grid;
}

.form__row > label,
.form__row > div {
  font-weight: 600;
  padding: 10px;
  display: flex;
  align-items: center;
}

.form__row > label.required:after {
  content: "*";
  color: var(--primary);
  display: inline-block;
  margin-left: 8px;
}

.form__email {
  display: flex;
  align-items: center;
  gap: 4px;
}

.form__email + div {
  font-size: 14px;
  padding: 4px 0;
}

.form__content {
  height: 120px;
}

.form__content + div {
  font-size: 14px;
  padding: 4px 8px;
  display: flex;
  justify-content: flex-end;
}

.agreement {
  padding: 4px 8px;
  display: flex;
  justify-content: space-between;
}

.agreement label {
  line-height: 1;
  display: inline-flex;
  align-items: center;
  gap: 4px;
  cursor: pointer;
}

.agreement > div:last-child {
  display: flex;
  gap: 16px;
}

.terms {
  margin-top: 20px;
  border-radius: 4px;
}

.submit {
  width: 100%;
  padding-top: 40px;
  display: flex;
  justify-content: center;
  gap: 20px;
}

.submit .button {
  width: 120px;
  padding: 12px;
}